dofile("scripts/entities/entityinclude.lua")

function init(me)
	node_setCursorActivation(me, true)
	node_setCatchActions(me, true)
end

function action(me, action, state)
	if isNestedMain() then return end
	if getNodeToActivate() == me and state == 1 then
		if action == ACTION_MENURIGHT or action == ACTION_MENUDOWN then
			node = getNode("TITLE_MODS")
			setNodeToActivate(node)
			setMousePos(toWindowFromWorld(node_x(node), node_y(node)-20))
			return false
		end
	end
	return true
end

function activate(me)
	if isNestedMain() then return end
	
	playSfx("TitleAction")
	spawnParticleEffect("TitleEffect1", node_x(me), node_y(me))
	watch(0.5)
	
	setActivation(false)
	
	showInGameMenu(true, true)
	
	setActivation(true)
end

function update(me, dt)
end
